OI Payments Docs
API ReferenceAdmin Apps

Set Gateway Override

PUT
/api/v1/admin/apps/{id}/gateway-override

Path Parameters

id*integer

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X PUT "https://example.com/api/v1/admin/apps/0/gateway-override" \  -H "Content-Type: application/json" \  -d '{    "mode": "TEST",    "storeId": "string",    "storePassword": "string"  }'
{
  "data": {
    "id": 0,
    "mode": "string",
    "storeId": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "success": true,
    "message": "string",
    "errorCode": "RESOURCE_NOT_FOUND",
    "timestamp": "2019-08-24T14:15:22Z"
  },
  "pagination": {
    "page": 0,
    "size": 0,
    "totalElements": 0,
    "totalPages": 0
  }
}